Introduction

 Top Next

MultiTSC is a software layer over Microsoft Terminal Services and Remote Desktop Client. This application allows to organize multiple user workplaces for Terminal Server access using single personal computer that have additional display monitors( and video adapters),USB keyboards and mouses.

You should be familiar with Microsoft Windows Terminal Services general concepts to understand some sections of this help.Visit the Microsoft Developer Network site to get information about Microsoft Windows Terminal Services.

See What is MultiTSC for to start examination of MultiTSC features.

See Before Installation to learn what is MultiTSC system requirements and steps to be done before installation.

See Installation of MultiTSC for explanation of installation process.


What is MultiTSC for

 Top Previous Next

MultiTSC is an extension of the Microsoft Windows Terminal Service Client (MSTSC) .

Standard MSTSC allows to use your PC as a terminal to Terminal Server. Your PC is used in this case as the input and display device. All programs, you interact to using MSTSC, are running on the remote session which is executed on Terminal Server, your PC is used for providing input from its mouse and keyboard to remote session and displaying desktop of remote session only. Typical hardware configuration is look like shown below:

There is Terminal Server running Terminal Services under control of Microsoft Windows 2000 or 2003 Server operating system.

Terminal Server Clients are connected to local or global network. These clients can be Microsoft Windows Terminal Server clients, or Unix based clients or specialized client terminals.

As you can see on this figure that the rule which works here is 'one computer - one client', or more precisely, 'one computer - one user' (you can start multiple clients on your computer, but only one person can work with them at any point of time and he can do it in turn, switching from one client window to other). It is not very optimum employment of hardware resources of modern (and not very modern) personal computers. In such a case only an insignificant part of all computer power is used. The most of personal computers are capable to support multiple terminal server clients simultaneously.

Using MultiTSC application you can cut down hardware expenses and use computer resources more optimal. All you need to do is to add additional video adapter (internal card or USB or network video adapter), display monitors and USB mouses and keyboards. There are USB monitors (which are USB video adapter + monitor in one box) now, too.

The following figure demonstrates possible configuration of Terminal Service client configuration that uses MultiTSC application.

Here we see Microsoft Windows 2000/2003 Server with Terminal Services and small MultiTSC server component running.

At the middle of picture there are two ordinary PC with Microsoft Windows 2000 or higher version operating system. These computers run MultiTSC client component and they have additional USB keyboards and mouses and additional display monitors. These monitors can be USB monitors (video adapter and monitor in one box) as shown at the bottom; or they can be connected by VGA or DVI cables with additional internal video card (or to extra outputs of one video card if this video card is capable to support multiple monitors) as shown from the right side of MultiTSC client computers; or it is can be combination of USB/Ethernet/WiFi video adapter and usual display monitor. As shown on the picture, MultiTSC does not exclude using of standard Terminal Server Clients (laptop at the top of picture). The primary display monitor of MultiTSC client is used as usual (i.e. it is not used by MultiTSC for remote session representation), but you can start standard Remote Desktop client for access to the same Terminal Server.

You can see, that to add new user workplace, you need spend money for display monitor (and, if it is not USB, for video card/adapter),keyboard,mouse and USB hub only. No extra system unit is required.

It is essential to understand, that Terminal Server computer can be used as MultiTSC client, too. You can add monitors, keyboards and mouses to this computer as shown at the bottom part of previous picture and run MultiTSC client software. So it is possible to have only one personal computer system unit to organize workplaces for a small workgroup, and network hardware is not necessary in such a case because of all network communication will be carried out through loopback (local) interface:

It is going without saying that a combination of these two configurations is possible,too.

In the end of this section we responsible to explain what is MultiTSC not for. MultiTSC application based on the standard Microsoft Remote Desktop ActiveX control and therefore MultiTSC has the same restrictions as this control. Don't try to use MultiTSC for intensive graphics applications, DirectX applications does not supported,too. It is not for music,too, due the fact that it multiplicates screen, keyboard and mouse only, but not sound chip or card.

MultiTSC is for usual office applications, programming etc ,i.e for work that does not requires fast and intensive graphics and sound capability.

See How It Works to understand how components of MultiTSC work together.


 How It Works

How It Works

 Top Previous Next

MultiTSC application consists of two parts.

The first one is MultiTSC server component. It is runs in background on the Terminal Server computer in every remote session.

The second is MultiTSC client, it runs on the client computer with additional display monitors/video adapters and USB keyboards and mouses.

Server and client components of MultiTSC can run on the same computer if this computer runs Terminal Service and has just listed additional hardware.

MultiTSC client:

· initiates remote session when user press <CTRL>-<ALT>-<DEL>
· acquires input from additional keyboards and mouses and sends this data to MultiTSC server component to corresponding remote sessions
· displays context of remote desktop on additional display monitors
· displays the mouse pointers on the additional display monitors
· sets the MultiTSC parameters (see Program Settings Window)
· establishes associations between keyboard/mouse and display monitor (see Input Devices Setup Process )

MultiTSC server component:

· starts on every remote session when this session is created by user request from client computer
· receives keyboard and mouse data from MultiTSC client and gives it to the remote session
· sends various events (like cursor image/position change etc) to MultiTSC client

MultiTSC client and server components use RDP (Remote Desktop Protocol) virtual channels facility to communicate with each other.

MultiTSC components use Microsoft Windows Terminal Services components to do its work. MultiTSC client uses Remote Desktop ActiveX control and MultiTSC server component uses Terminal Services API.

MultiTSC client installs class filter drivers for Keyboard an Mouse Device Classes to catch mouse and keyboard input and prevent this input to go into Windows system input queue.

When MultiTSC client is started and configured, you will see on the each Client Display a prompt to start and login to remote session:

When an user presses <CTRL>-<ALT>-<DEL> on the associated keyboard, Client Window connects to Terminal Server using Remote Desktop ActiveX Control.

Remote session is created on the Terminal Server and MultiTSC Server component loaded and started in this session. Client and Server components establish communication using RDP Virtual Channels facility to work together.

See Before Installation to understand what software and hardware is needed for MultiTSC application.


Before Installation

 Top Previous Next

MultiTSC System Requirements

MultiTSC Server components require Microsoft Windows 2000 or 2003 Server operating system with installed, configured and running Terminal Services. MultiTSC server components do not add any additional CPU and memory requirements besides ones which are recommended for Terminal Server computer by Microsoft (see MSDN about Terminal Server Resources). MultiTSC server components require less then 1MB hard drive space for executables and help files.

MultiTSC Client components require Microsoft Windows 2000 / XP / 2003 Workstation (or Server) operating system. Personal computer for MultiTSC Client have to be equipped at least by one additional display monitor and video adapter,one additional USB keyboard and one additional USB mouse. Additional display monitors have to be included in the Windows Desktop as a secondary monitors. Additional monitors should be arranged on Desktop in horizontal direction from the right side of the Primary monitor. Use Display Properties Control Panel module to do it.

MultiTSC client components require about 5 MB hard drive space for installation.

It is possible to install both MultiTSC Server and Client components in one personal computer, if this computer complies with requirements for Client and Server components.

The user who installs and configures MultiTSC should have Administrators' privileges.


 Installation of MultiTSC

Installation of MultiTSC

 Top Previous Next

To install MultiTSC start the self-extracting installer 'MultiTSC.<version>.exe' , where <version> is MultiTSC program version.

Installer will run only on Windows 2000 or later operating system, otherwise error message will be displayed and installer will cancel execution.

On the first step you will be prompted to select language to use for installation:

Use combo box control to select the language if you don't satisfied by default. This choice is used not only for installer, but for MultiTSC application

(i.e. Help and User Interface will be of the language selected).

Press OK to apply selected language, help file, you are reading just now, will be shown to help you in a case if you forget some installation details.

If the installer find out that MultiTSC is already installed on your computer it asks you to uninstall it before installation:

If you click 'Cancel' installer will abort installation, otherwise it uninstalls MultiTSC before installation.

Now installer checks your system to enable or disable MultiTSC components (Client and Server).

If it founds that computer has Terminal Service running you will see

and installation of MultiTSC Server component will be enabled, otherwise it will be disabled and you will not be able to enable it at the next installation steps:

If installer finds out that there are no secondary display monitors, it asks you if you want to disable Client components installation:

and depending of your choice it disables or enables Client installation.

If installer detects that there are some secondary display monitors which are not included in the Windows desktop it gives you choice to do it just now:

If you say 'Yes', the Display Properties Control Panel module will be called and you can do it:

In the next step you can finally select the components to install:

The component(s), which has been disabled on the previous steps, will be grayed and you will not be able to select them.

In the next step you can choose directory where to install MultiTSC

Click 'Browse' button to choose directory if default does not meet your wishes.

When you click 'Install' button, installation will begin.

During MultiTSC client installation process two Filter Drivers for Keyboard and Mouse Class devices are installed. They are not signed by Microsoft and therefore you will see the warning message about Keyboard driver :

and the same for Mouse.

Click 'Continue Anyway', otherwise installation will be unsuccessful.

If error happens during drivers installation, error message will be shown:

This message contains log file of the driver installer, please provide this file to developers of MultiTSC to investigate the problem.

After successful installation you will see the following:

You can click the 'Show details' button to see the installation log:

If some errors happen during installation of MultiTSC, installer will rollback all changes in your system it made, and will save installation log in the temporary directory:

Please provide this log file to developers to investigate errors occurred.

If your system reboot will be needed to end MultiTSC installation, you will see a prompt to do it now:

After installation and rebooting (if installer founds out that it is required) MultiTSCSoft folder will be added to all users Start Menu and you can start and configure MultiTSC.

When you start MultiTSC first time you will automatically fall into Program Settings Window and then into Input Devices Setup Process to configure MultiTSC.

See MultiTSC Main Window to see how MultiTSC Client looks on the screen.


 MultiTSC Main Window

MultiTSC Main Window

This is an example of the main MultiTSC window.

Usually this window is not displayed on the screen. You have to make double click on the MultiTSC icon in the taskbar tray

to show Main Window.Press minimize button in the window's caption bar to hide Main Window from the screen .

When you start MultiTSC first time after installation, Main Window is shown and you fall into Program Settings Window to set MultiTSC parameters (especially Terminal Server Host Name ) and then into Input Devices Setup Process to associate keyboard and mouse devices with each additional display monitor (Client Display) which are used by MultiTSC.

There is Setup Toolbar with two buttons at the top of Main Window . The left button allows you to start Input Devices Setup Process, the second calls Program Settings Window.

All other space in Main Window is occupied by Monitors Grid table. This table lists all display monitors used by MultiTSC with state, keyboard and mouse devices associated.

When you are closing Main Window to exit MultiTSC application, check is performed if it may be doing safely. If any of MultiTSC display monitor is connected to the remote session on terminal server an dialog box is displayed to allow you have to confirm your decision to close Main Window or cancel the close request.

If there is any active Client Display (i.e. which is connected to remote session or in the process of connection or disconnection), Setup Toolbar is disabled and MultiTSC tray icon is animating by changing colors.


 Displays Grid

Displays Grid Table.

Monitors Grid Table are located in the MultiTSC Main Window.

This table contains one row per Client Monitor, each row has four columns.

First column displays short Client Monitor Display device name.

The second column displays state of the Client Display. Possible values are:

· DISCONNECTED_BY_TIMEOUT - Client Display has been disconnected with Terminal Server remote session due Connection Timeout or Lost Connection Timeout
· DISCONNECTED_BY_ERROR - Client Display has been disconnected because of some error happening. Information about error are displayed on Client Display.
· DISCONNECTED - Client Display is disconnected with Terminal Server remote session.
· START_CONNECT - User of Client Display has pressed <CTRL>-<ALT>-<DEL> combination on the keyboard associated with this Display to login on Terminal Server remote session.
· CONNECTING - Client Display is in process of establishing connection with Terminal Server remote session.
· CONNECTED - Client Display is connected to Remote terminal and User is logged on remote session
· LOGGEDON - User has been entered his name and password in the authentication window and this information is valid.
· DISCONNECTING - Client Display is closing remote session gracefully.

The third and fourth columns contain associated keyboard's and mouse's device names in the form used by Windows OS. This names can be quite long, you have to enlarge the column's width to see all name string.


 Setup Toolbar

Setup Toolbar.

Setup toolbar allows you to set application parameters and associate display monitors used by MultiTSC (Client Displays).

There are two buttons on this toolbar. These buttons are enabled only if the current user has Administrators permission, otherwise they are grayed and disabled.

The buttons disabled when there are client windows connected to Terminal Server, too.

Clicking the left button InpDevBtn begins Input Device Setup Process and changes his image to StopBtn and clicking this button again stops this process.

Important notice : All USB mouses (and PS/2 mouse, if you have enabled using PS/2 mouse in Program Settings Window ), are allocated for MultiTSC, and input from these devices doesn't go to Windows system input queue. In such a case you are not able to use mouse to click any buttons. But you can cancel Input Device Setup Process by pressing <F10> key on any USB keyboard (or on PS/2 keyboard, if it is enabled for use with MultiTSC in Program Settings Window.

The second button SetBtn opens Program Settings Window where you can change MultiTSC settings.


 Program Settings Window

Program Settings Dialog Window.

This dialog window permits you to change MultiTSC program settings. You can change the following settings:

· Terminal Server Host Name or IP Address
· Connection to Terminal Server timeout
· Lost connection with Terminal Server timeout
· Permission to use PS/2 keyboard
· Permission to use PS/2 mouse
· Start up on user login

On the first start of MultiTSC after installation this window is displayed automatically, to allow you enter one field which is required be set according to your network configuration. This field is a Terminal Server Host Name or IP Address.

Other fields do not depend of your computer system configuration and can be hold default values.

To save changes, press 'OK' button, to cancel changes press 'Cancel' button.


Terminal Server Host Name

Terminal Server Host Name or IP address.

Use this edit field to set terminal server host name or IP address.

Fill this filed with the host name or IP address of the Windows Server computer which has installed and running Terminal Service component (and intended to use with MultiTSC application).

Ask your system administrator if you don't have this information.

Put 'localhost' or '127.0.0.1' (without apostrophe) when the Terminal Server is on your computer.


Connection Timeout

Connection to Terminal Server Timeout

This field sets maximum number of second of time period during which the Terminal Server should respond on connection request from Client Display. Connection request is initiated by pressing <CTRL>-<ALT>-<DEL> from keyboard which is associated with this display. Connection timeout error is raised If this time period is expired and connection is still not established. Increment the value of this field If you get the error.

To change value of this field use up an down buttons which are attached from the right of the field.


Lost Connection Timeout

Lost Connection with Terminal Server Timeout

When Client Display is connected with remote session on Terminal Server, MultiTSC application checks permanently communication between Client Display and Terminal Server. Connection Timeout error is raised and Client Display is disconnected from Terminal Server if the application finds out that communication is absent during Lost Connection Timeout.

Increase a value of this field if you get this error during working with remote session.

To change value of this field use up an down buttons which are attached from the right of the field.


 Settings OK Button

Saving Program Settings

Press 'OK' button to save changes which you did in the Program Settings Window


 Settings Cance lBtn

Cancel Program Settings modifications

Press 'Cancel' button to cancel all changes which you did in the Program Settings Window


 Dont Use PS/2 keyboard checkbox

Don't use PS/2 keyboard/mouse with MultiTSC checkbox

By default, MultiTSC application does not use PS/2 keyboard and mouse if they are present on the computer. It is supposed that these devices are dedicated for the primary display of Windows desktop. Primary display is not included in the MultiTSC Client Displays set, and it is logically appropriate don't use these devices with MultiTSC. Another argument for this decision is a result of the fact that MultiTSC allocates associated keyboards and mouse devices (see Input Devices Setup Process ) for the use with Client Displays only and input from these devices does not go to the system input queue of Windows. So if you allocate all mouse and keyboard devices for MultiTSC, you can lost control under your computer (see remarks below). So it is safer to not use PS/2 devices if you have them and leave them for input into Windows queue.

If you nevertheless prefer to use PS/2 mouse and/or keyboard, clear check mark on corresponding checkbox.

Remark 1: If you nevertheless lost all mouses and keyboards for reason described above, you can use the following methods to take back control on your PC:

1) If your OS is Windows 2000 Server,Windows XP or higher, you can try to remotely login in your computer from other using ordinary Remote Desktop connection.

2) Do you have additional USB mouse or keyboard and free USB port? Just put device to port and use it!

3) Unplug keyboard or mouse allocated by MultiTSC, wait 10 seconds and plug it again (Use this method only if the others do not work).

Remark 2: If you are in the Input Devices Process and in confusing that no one mouse works to cancel this process with the Setup Toolbar then don't panic. Press <F10> on any keyboard, which is used in this process.


 Don't Use PS/2 mouse checkbox

Don't use PS/2 keyboard/mouse with MultiTSC checkbox

See Don't use PS/2 keyboard checkbox


Startup checkbox

Check this box on if you wish to start MultiTSC application automatically when any user logins on this computer. It is very convenient if this computer is mostly used for work with MultiTSC.

If checkbox is not checked, MultiTSC can be started using Start Menu.


 Input Devices Setup Process

Input Devices Setup Process

Before using MultiTSC application you should choose a mouse and a keyboard for each Client Display.

It can be done by pressing the first button on Setup Toolbar of the MultiTSC Main Window. (It happens automatically if you didn't yet execute Input Devices Setup Process, particularly during the first after installation start of MultiTSC.)

The following window will be shown on all of Client Displays:

At the top of this window instruction of Input Devices Setup Process steps is placed.

For each of Client Displays there is its own symbol and it is displayed in the item 1) of instruction.

When you press this symbol and then <ENTER> key on the keyboard which you wish to use with this particular Client Display, the keyboard device is associated with this Client Display and it will be used for this Display until you change it again. Don't worry If you made mistake on the first step (i.e. wrong symbol was pressed). Just repeat the first step with correct symbol.Now you have selected keyboard for the Client Display.

At the second step you should play with buttons of the mouse which you wish to use with the Client Window and see at the window's part with mouse images. You should find the image which replays corresponding to your actions (for example, when you press the left button of the mouse the image's left button is lights green up). Be careful at this step if you and your colleagues perform this step simultaneously, each for his own Client Display. It will be better if this step performs one person, or you should have some strategy of button pressing to avoid ambiguity (for example you press only left button, Joe press right, somebody else press both simultaneously etc). When you have found you mouse image press the symbol which is displayed on the mouse image and then the <PAUSE/BREAK> key using your keyboard (which had been selected in the first step). Now you have selected mouse for the Client Window.

Input Devices Setup process ends automatically when all of Client Windows get keyboard and mouse associated or when all available keyboard and mouse devices are exhausted.You can stop this process manually from the Setup Toolbar of MultiTSC Main Window by pressing left 'STOP' button, or by pressing <F10> key on any Client Display keyboard.

Input Device Process can be executed only if there are no active Client Displays (i.e. those which are connected to remote session at this time). If any active Client Window exists, the Setup Toolbar is disabled and grayed.


.topic 1MultiTSC Main Window

This is an example of the main MultiTSC window.

[PICTURE MainWindow.JPG]

Usually this window is not displayed on the screen. You have to make double click on the MultiTSC icon in the taskbar tray
                                                                                [PICTURE Tray.JPG]
to show Main Window.Press minimize button in the window's caption bar to hide Main Window from the screen .

When you start MultiTSC first time after installation, Main Window is shown and you fall into Program Settings Window to set MultiTSC parameters (especially Terminal Server Host Name ) and then into Input Devices Setup Process to associate keyboard and mouse devices with each additional display monitor (Client Display) which are used  by MultiTSC.

There is Setup Toolbar with two buttons at the top of Main Window . The left button allows you to start Input Devices Setup Process, the second calls Program Settings Window.

All other space in Main Window is occupied by Monitors Grid table. This table lists all display monitors used by MultiTSC with state, keyboard and mouse devices associated.

When you are closing Main Window to exit MultiTSC application, check is performed if it may be doing safely. If any of MultiTSC display monitor is connected to the remote session on terminal server an dialog box is displayed to allow you have to confirm your decision to close Main Window or cancel the close request.

If there is any active Client Display (i.e. which is connected to remote session or in the process of connection or disconnection), Setup Toolbar is disabled and MultiTSC tray icon is animating by changing colors.

.topic 3Displays Grid Table.
Monitors Grid Table are located in the MultiTSC Main Window.

[PICTURE DevGrid.JPG]
This table contains one row per Client Monitor, each row has four columns.

First column displays short Client Monitor Display device name.

The second column displays state of the Client Display. Possible values are:
DISCONNECTED_BY_TIMEOUT - Client Display has been disconnected with Terminal Server remote session due Connection Timeout or Lost Connection  Timeout
DISCONNECTED_BY_ERROR - Client Display has been disconnected because of some error happening. Information about error are displayed on Client Display.
DISCONNECTED - Client Display is disconnected with Terminal Server remote session.
START_CONNECT - User of Client Display has pressed &lt;CTRL&gt;-&lt;ALT&gt;-&lt;DEL&gt; combination on the keyboard associated with this Display to login on Terminal Server remote session.
CONNECTING - Client Display is in process of establishing connection with Terminal Server remote session.
CONNECTED - Client Display is connected to Remote terminal and User is logged on remote session
LOGGEDON  - User has been entered his name and password in the authentication window and this information is valid.
DISCONNECTING - Client Display is closing remote session gracefully.

The third and fourth columns contain associated keyboard's and mouse's device names in the form used by Windows OS. This names can be quite long, you have to enlarge the column's width to see all name string.

.topic 10Setup Toolbar.
[PICTURE SetupToolbar.JPG]

Setup toolbar allows you to set application parameters and associate display monitors used by MultiTSC (Client Displays).
There are two buttons on this toolbar. These buttons are enabled only if the current user has Administrators permission, otherwise they are grayed and disabled.
The buttons disabled when there are client windows connected to Terminal Server, too.

Clicking the left button [PICTURE InpDevBtn.JPG]  begins Input Device Setup Process and changes his image to [PICTURE StopBtn.JPG] and clicking this button again stops this process.

Important notice : All USB mouses (and PS/2 mouse, if you have enabled using PS/2 mouse in Program Settings Window ), are allocated for MultiTSC, and input from these devices doesn't go to Windows system input queue. In such a case you are not able to use mouse to click any buttons. But you can cancel Input Device Setup Process by pressing &lt;F10&gt; key on any USB keyboard (or on PS/2 keyboard, if it is enabled for use with MultiTSC in  Program Settings Window.

The second button [PICTURE SetBtn.JPG] opens  Program Settings Window  where you can change MultiTSC settings.

.topic 100Program Settings Dialog Window.

[PICTURE SettingsWindow.JPG]

This dialog window permits you to change MultiTSC program settings. You can change the following settings:
Terminal Server Host Name or IP Address
Connection to Terminal Server timeout
Lost connection with Terminal Server timeout
Permission to use PS/2 keyboard
Permission to use PS/2 mouse
Start up on user login

On the first start of MultiTSC after installation this window is displayed automatically, to allow you enter one field which is required be set according to your network configuration. This field is a  Terminal Server Host Name or IP Address.

Other fields do not depend of your computer system configuration and can be hold default values.
To save changes, press 'OK' button, to cancel changes press 'Cancel' button.

.topic 110Terminal Server Host Name or IP address.

[PICTURE HostName.JPG]

Use this edit field to set terminal server host name or IP address.
Fill this filed with the host name or IP address of the Windows Server computer which has installed and running Terminal Service component (and intended to use with MultiTSC application).
Ask your system administrator if you don't have this information.
Put  'localhost' or '127.0.0.1' (without apostrophe) when the Terminal Server is on your computer.

.topic 120Connection to Terminal Server Timeout

[PICTURE ConnTout.JPG]

This field sets maximum number of second of time period during which the Terminal Server should respond on connection request from Client Display. Connection request is initiated by pressing &lt;CTRL&gt;-&lt;ALT&gt;-&lt;DEL&gt; from keyboard which is associated with this display. Connection timeout error is raised If this time period is expired and connection is still not established. Increment the value of this field If you get the error.
To change value of this field use up an down buttons which are attached from the right of the field.

.topic 140Lost Connection with Terminal Server Timeout

[PICTURE LostConTout.JPG]
When Client Display is connected with remote session on Terminal Server, MultiTSC application checks permanently communication between Client Display and Terminal Server. Connection Timeout error is raised and Client Display is disconnected from Terminal Server if the application finds out that communication is absent during Lost Connection Timeout.
Increase a value of this field if you get this error during working with remote session.
To change value of this field use up an down buttons which are attached from the right of the field.

.topic 160Saving Program Settings

[PICTURE OKCancel.JPG]

Press 'OK' button to save changes which you did in the Program Settings Window

.topic 170Cancel Program Settings modifications

[PICTURE OKCancel.JPG]

Press 'Cancel' button to cancel all changes which you did in the Program Settings Window

.topic 180Don't use PS/2 keyboard/mouse with MultiTSC checkbox

[PICTURE PS2.JPG]

By default, MultiTSC application does not use PS/2 keyboard and mouse if they are present on the computer. It is supposed that these devices are dedicated for the primary display of Windows desktop. Primary display is not included in the MultiTSC Client Displays set, and it is logically appropriate don't use these devices with MultiTSC. Another argument for this decision is a result of the fact that MultiTSC allocates associated keyboards and mouse devices (see Input Devices Setup Process ) for the use with Client Displays only and input from these devices does not go to the system input queue of Windows. So if you allocate all mouse and keyboard devices for MultiTSC, you can lost control under your computer (see remarks below). So it is safer to not use PS/2 devices if you have them and leave them for input into Windows queue.

If you nevertheless prefer to use PS/2 mouse and/or keyboard, clear check mark on corresponding checkbox.

Remark 1: If you nevertheless lost all mouses and keyboards for reason described above, you can use the following methods to take back control on your PC:
1) If your OS is Windows 2000 Server,Windows XP or higher, you can try to remotely login in your computer from other using ordinary Remote Desktop connection.
2) Do you have additional USB mouse or keyboard and free USB port? Just put device to port and use it!
3) Unplug keyboard or mouse allocated by MultiTSC, wait 10 seconds and plug it again (Use this method only if the others do not work).

Remark 2: If you are in the Input Devices Process and in confusing that no one mouse works to cancel this process with the Setup Toolbar then don't panic. Press &lt;F10&gt; on any keyboard, which is used in this process.

.topic 190Don't use PS/2 keyboard/mouse with MultiTSC checkbox

See Don't use PS/2 keyboard checkbox

.topic 210Startup checkbox
[PICTURE Startup.JPG]
Check this box on if you wish to start MultiTSC application automatically when any user logins on this computer. It is very convenient if this computer is mostly used  for work with MultiTSC.
If checkbox is not checked, MultiTSC can be started using Start Menu.

.topic 200Input Devices Setup Process

Before using MultiTSC application you should choose a mouse and a keyboard for each Client Display.
It can be done by pressing the first button on Setup Toolbar  of the MultiTSC Main Window. (It happens automatically if you didn't yet execute Input Devices Setup Process, particularly during the first after installation start of MultiTSC.)

The following window will be shown on all of Client Displays:
[PICTURE MouseSelectForm.JPG]

At the top of this window instruction of Input Devices Setup Process steps is placed.

For each of Client Displays there is its own symbol and it is displayed in the item 1) of instruction.
When you press this symbol and then &lt;ENTER&gt; key on the keyboard which you wish to use with this particular Client Display, the keyboard device is associated with this Client Display and it will be used for this Display until you change it again. Don't worry If you made mistake on the first step (i.e. wrong symbol was pressed). Just repeat the first step with correct symbol.Now you have selected keyboard for the Client Display.

At the second step you should play with buttons of the mouse which you wish to use with the Client Window and see at the window's part with mouse images. You should find the image which replays corresponding to your actions (for example, when you press the left button of the mouse the image's left button is  lights green up). Be careful at this step if you and your colleagues perform this step simultaneously, each for his own Client Display. It will be better if this step performs one person, or you should have some strategy of button pressing to avoid ambiguity (for example you press only left button, Joe press right, somebody else press both simultaneously etc). When you have found you mouse image press the symbol which is displayed on the mouse image and then the &lt;PAUSE/BREAK&gt; key using your keyboard (which had been selected  in the first step). Now you have selected mouse for the Client Window.

Input Devices Setup process ends automatically when all of Client Windows get keyboard and mouse associated or when all available keyboard and mouse devices are exhausted.You can stop this process manually from the Setup Toolbar of MultiTSC Main Window by pressing left 'STOP' button, or by pressing &lt;F10&gt; key on any Client Display keyboard.

Input Device Process can be executed only if there are no active Client Displays (i.e. those which are connected to remote session at this time). If any active Client Window exists, the Setup Toolbar is disabled and grayed.